import { ERC1155, ERC20, ERC721 } from '../types/abis';
declare type ContractType = 'ERC20' | 'ERC721' | 'ERC1155';
export declare class ContractInstance {
    private pvt_key;
    private rpc;
    instance: ERC20 | ERC721 | ERC1155;
    private signer;
    constructor(pvt_key: string, rpc?: string);
    getContractInstance: (contractType: ContractType, address: string) => ERC1155 | ERC20 | ERC721;
}
export {};
