import { Wallet } from './type';
import { ContractInstance } from '../contracts';
export declare class WalletService extends ContractInstance {
    private getWalletRegistry;
    getWallet: (address: string) => Promise<string>;
    createWallet: (existingWallet?: Wallet) => Promise<{
        wallet: string;
        privateKey: string;
    }>;
}
