"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var erc1155_1 = require("../erc1155");
var main_1 = require("../../main");
describe('ERC1155 interactions', function () {
    beforeAll(function () {
        try {
            var sdk = new main_1.ElysiumSDK();
            sdk.init({
                privateKey: '442b7ddce656eb42cdd59dd5abb10bc4e6096b7519f7b26d9dd250fafc8825cf',
            });
        }
        catch (error) {
            console.log(error);
        }
    });
    it('should create erc1155 instance', function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var erc1155, erc1155Instance, error_1;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    _a.trys.push([0, 2, , 3]);
                    erc1155 = new erc1155_1.ERC1155();
                    return [4 /*yield*/, erc1155.init('0x39B9f364E4933AB23346cd4261499b523B113d65')];
                case 1:
                    erc1155Instance = _a.sent();
                    expect(erc1155Instance.address).toBe('0x39B9f364E4933AB23346cd4261499b523B113d65');
                    return [3 /*break*/, 3];
                case 2:
                    error_1 = _a.sent();
                    console.log(error_1);
                    return [3 /*break*/, 3];
                case 3: return [2 /*return*/];
            }
        });
    }); });
});
//# sourceMappingURL=erc1155.spec.js.map