"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContractInstance = void 0;
var tslib_1 = require("tslib");
var ethers_1 = tslib_1.__importStar(require("./ethers"));
var defaultRPC = 'wss://elysium-dev2-socket1.vulcanforged.com/';
function getSigner(Pvt_ket, RPC) {
    if (RPC === void 0) { RPC = defaultRPC; }
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var provider;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, (0, ethers_1.default)(RPC)];
                case 1:
                    provider = _a.sent();
                    return [4 /*yield*/, (0, ethers_1.setupSigner)(Pvt_ket, provider)];
                case 2: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
var ContractInstance = /** @class */ (function () {
    function ContractInstance(pvt_key, rpc) {
        if (rpc === void 0) { rpc = defaultRPC; }
        var _this = this;
        this.pvt_key = pvt_key;
        this.rpc = rpc;
        this.getContractInstance = function (contractType, address) {
            return (0, ethers_1.getContract)(_this.signer, contractType, address);
        };
        getSigner(this.pvt_key, this.rpc).then(function (_signer) {
            _this.signer = _signer;
        });
    }
    return ContractInstance;
}());
exports.ContractInstance = ContractInstance;
//# sourceMappingURL=getWeb3.js.map